View Issue Details

IDProjectCategoryView StatusLast Update
0006991Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006991: exchange gives non-actionable error message regarding SQL
DescriptionThis is currently happening on taler-test@gv when calling taler-deployment-prepare after deleting the database:

Aug 13 13:05:41-054427 taler-exchange-dbinit-3577276 WARNING Could not run PSQL on file /home/taler-test/local/share/taler//sql/exchange/drop0000.sql: 1
TagsNo tags attached.

Activities

Florian Dold

2021-08-13 14:10

manager   ~0018111

Happens after this:

$ dropdb talertest
$ createdb talertest
$ taler-exchange-dbinit -r

Christian Grothoff

2021-08-18 10:30

manager   ~0018116

Well, resetting a fresh DB is "wrong". Before, we logged:

$ taler-exchange-dbinit -r -L INFO
Aug 18 10:20:16-314294 taler-exchange-dbinit-7167 INFO Failed to prepare statement to check patch level. Likely versioning schema does not exist yet, loading patch level 0000!
Aug 18 10:20:16-314356 taler-exchange-dbinit-7167 INFO Applying SQL file `/home/grothoff/share/taler//sql/exchange/drop0000.sql' on database postgres:///taler
Aug 18 10:20:16-366811 taler-exchange-dbinit-7167 WARNING Could not run PSQL on file /home/grothoff/share/taler//sql/exchange/drop0000.sql: 1
Aug 18 10:20:16-366847 taler-exchange-dbinit-7167 ERROR Failed to run SQL logic to setup database versioning logic
Aug 18 10:20:16-366893 taler-exchange-dbinit-7167 WARNING Could not drop tables as requested. Either database was not yet initialized, or permission denied. Consult the logs. Will still try to create new tables.
Aug 18 10:20:16-369497 taler-exchange-dbinit-7167 INFO Failed to prepare statement to check patch level. Likely versioning schema does not exist yet, loading patch level 0000!
Aug 18 10:20:16-369536 taler-exchange-dbinit-7167 INFO Applying SQL file `/home/grothoff/share/taler//sql/exchange/exchange-0000.sql' on database postgres:///taler
Aug 18 10:20:16-436602 taler-exchange-dbinit-7167 INFO Loading SQL resources from `/home/grothoff/share/taler//sql/exchange/exchange-'
Aug 18 10:20:16-437464 taler-exchange-dbinit-7167 INFO Applying SQL file `/home/grothoff/share/taler//sql/exchange/exchange-0001.sql' on database postgres:///taler
Aug 18 10:20:16-546966 taler-exchange-dbinit-7167 INFO Applying SQL file `/home/grothoff/share/taler//sql/exchange/exchange-0002.sql' on database postgres:///taler

I've changed it so that the ERROR is now a WARNING, and the "Could not drop tables as requested" is now an ERROR.

Christian Grothoff

2021-09-02 18:14

manager   ~0018218

Fix committed to master branch.

Related Changesets

exchange: master 37ef7e19

2021-08-18 10:25:42

Christian Grothoff

Details Diff
-swap WARNING/ERROR to fix 0006991 Affected Issues
0006991
mod - src/exchange-tools/taler-exchange-dbinit.c Diff File

Issue History

Date Modified Username Field Change
2021-08-13 13:10 Florian Dold New Issue
2021-08-13 13:10 Florian Dold Status new => assigned
2021-08-13 13:10 Florian Dold Assigned To => Christian Grothoff
2021-08-13 13:14 Florian Dold Category mechant backend => exchange
2021-08-13 13:14 Florian Dold Summary mechant backend gives non-actionable error message regarding SQL => exchange backend gives non-actionable error message regarding SQL
2021-08-13 13:14 Florian Dold Summary exchange backend gives non-actionable error message regarding SQL => exchange gives non-actionable error message regarding SQL
2021-08-13 14:10 Florian Dold Note Added: 0018111
2021-08-18 10:30 Christian Grothoff Note Added: 0018116
2021-08-18 10:30 Christian Grothoff Status assigned => resolved
2021-08-18 10:30 Christian Grothoff Resolution open => fixed
2021-08-18 10:30 Christian Grothoff Fixed in Version => 0.9
2021-08-18 10:30 Christian Grothoff Product Version => git (master)
2021-08-18 10:30 Christian Grothoff Target Version => 0.9
2021-08-23 16:23 Christian Grothoff Fixed in Version 0.9 => 0.8
2021-08-23 16:23 Christian Grothoff Target Version 0.9 => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 37ef7e19
2021-09-02 18:14 Christian Grothoff Note Added: 0018218